## org.eclipse.emf.databinding.internal
Class EMFPropertyListener

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.emf.databinding.internal.EMFPropertyListener

All Implemented Interfaces:
  INativePropertyListener, Adapter, Adapter.Internal

Direct Known Subclasses:
  EMFPropertyListener.EMFListPropertyListener, EMFPropertyListener.EMFMapPropertyListener, EMFPropertyListener.EMFSetPropertyListener, EMFPropertyListener.EMFValuePropertyListener

    public abstract class EMFPropertyListener

extends AdapterImpl
implements INativePropertyListener

PROVISIONAL: This API is subject to arbitrary change, including renaming or removal.

Since:
  2.5

Nested Class Summary
`static class` `EMFPropertyListener.EMFListPropertyListener`
`static class` `EMFPropertyListener.EMFMapPropertyListener`
`static class` `EMFPropertyListener.EMFSetPropertyListener`
`static class` `EMFPropertyListener.EMFValuePropertyListener`

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`Adapter.Internal`

Field Summary

Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`target`

Constructor Summary
`EMFPropertyListener()`

Method Summary
`void` `addTo(java.lang.Object source)`
`protected abstract EStructuralFeature` `getFeature()`
`protected abstract ISimplePropertyListener` `getListener()`
`protected abstract IProperty` `getOwner()`
`abstract void` `notifyChanged(Notification msg)` Does nothing; clients may override so that it does something.
`void` `removeFrom(java.lang.Object source)`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget, isAdapterForType, setTarget, unsetTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFPropertyListener

    public EMFPropertyListener()

Method Detail

### addTo

    public void addTo(java.lang.Object source)

  Specified by:
    `addTo` in interface `INativePropertyListener`

### removeFrom

    public void removeFrom(java.lang.Object source)

  Specified by:
    `removeFrom` in interface `INativePropertyListener`

### notifyChanged

    public abstract void notifyChanged(Notification msg)

  Description copied from class: `AdapterImpl`
  Does nothing; clients may override so that it does something.

  Specified by:
    `notifyChanged` in interface `Adapter`
  Overrides:
    `notifyChanged` in class `AdapterImpl`
  Parameters:
    `msg` - a description of the change.

### getListener

    protected abstract ISimplePropertyListener getListener()

  Returns:
    the listener

### getFeature

    protected abstract EStructuralFeature getFeature()

  Returns:
    the feature

### getOwner

    protected abstract IProperty getOwner()

  Returns:
    the owner property

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.